com.amazonaws.services.codebuild.model

## Enum LanguageType

- java.lang.Object
- - java.lang.Enum<LanguageType>
  - - com.amazonaws.services.codebuild.model.LanguageType

All Implemented Interfaces:
  Serializable, Comparable<LanguageType>

    public enum LanguageType
    extends Enum<LanguageType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ANDROID`
`BASE`
`DOCKER`
`GOLANG`
`JAVA`
`NODE_JS`
`PYTHON`
`RUBY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static LanguageType` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static LanguageType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LanguageType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JAVA

    public static final LanguageType JAVA

#### PYTHON

    public static final LanguageType PYTHON

#### NODE_JS

    public static final LanguageType NODE_JS

#### RUBY

    public static final LanguageType RUBY

#### GOLANG

    public static final LanguageType GOLANG

#### DOCKER

    public static final LanguageType DOCKER

#### ANDROID

    public static final LanguageType ANDROID

#### BASE

    public static final LanguageType BASE

### Method Detail

#### values

    public static LanguageType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LanguageType c : LanguageType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LanguageType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<LanguageType>`

#### fromValue

    public static LanguageType fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  LanguageType corresponding to the value